
import { defHttp } from '@/utils/http/axios';
enum Api {
  getFireAreaInfo = '/fire/fireDisasterApi/getFireAreaInfo',
  getMbRealData ='/fire/fireDisasterApi/getMbRealData',
  getMbHistoryData='/fire/fireDisasterApi/getMbHistoryData',


}
/**
 * 密闭监测实时数据
 * @param params
 */
export const getMbRealData = (params) => defHttp.get({ url: Api.getMbRealData, params });

/**
 * 
 * 获取左侧菜单树
 * @param params
 */
export const getFireAreaInfo = (params) => defHttp.get({ url: Api.getFireAreaInfo, params });

/**
 * 
 * 获取图表数据
 * @param params
 */
export const getMbHistoryData = (params) => defHttp.get({ url: Api.getMbHistoryData, params });