
import { defHttp } from '@/utils/http/axios';
enum Api {
  getAreaTypeList = '/dust/dustDisasterApi/getAreaTypeList',
  getRealSensorDataByType='/dust/dustDisasterApi/getRealSensorDataByType',
  getDustInfos='/dust/dustDisasterApi/getDustInfos',
  historyAndForecast='/dust/dustDisasterApi/historyAndForecast',
  realData = '/fire/show/realData',
 

}
/**
 * 粉尘菜单树
 * @param params
 */
export const getAreaTypeList = () => defHttp.get({ url: Api.getAreaTypeList });

/**
 * 粉尘选项
 * @param params
 */
export const getRealSensorDataByType = (params) => defHttp.get({ url: Api.getRealSensorDataByType,params });

/**
 * 获取粉尘单项数据
 * @param params
 */
export const getDustInfos = (params) => defHttp.get({ url: Api.getDustInfos,params });

/**
 * 获取粉尘图表数据
 * @param params
 */
export const historyAndForecast = (params) => defHttp.get({ url: Api.historyAndForecast,params });

/**
 * 智能喷雾降尘装置数据
 * @param params
 */
export const realData = (params) => defHttp.post({ url: Api.realData,params });
