import { reactive } from 'vue';
import { BasicColumn, FormSchema } from '/@/components/Table';


export const formConfig = {
  labelAlign: 'left',
  showAdvancedButton: false,
  showResetButton: false,
  baseColProps: {
    // offset: 0.5,
    xs: 24,
    sm: 24,
    md: 24,
    lg: 9,
    xl: 7,
    xxl: 4,
  },
  schemas: [
    {
      label: '预警等级',
      labelWidth: 200,
      field: 'leveltype',
      colProps: { span: 10 },
      component: 'JDictSelectTag',
      componentProps: { dictCode: 'leveltype' },
    },
  ],
};

