
import { defHttp } from '@/utils/http/axios';
enum Api {
  getZcHfWd='/fire/fireDisasterApi/getZcHfWd',
  getHeadingFace='/fire/fireDisasterApi/getHeadingFace',
  getMainTrafficYw='/fire/fireDisasterApi/getMainTrafficYw',
  getDsWd='/fire/fireDisasterApi/getDsWd',
  getFireAreaInfo = '/fire/fireDisasterApi/getFireAreaInfo',
 

}
/**
 * 综采工作面
 * @param params
 */
export const getZcHfWd = () => defHttp.get({ url: Api.getZcHfWd, });

/**
 * 掘进工作面
 * @param params
 */
export const getHeadingFace = () => defHttp.get({ url: Api.getHeadingFace, });

/**
 * 运输系统烟雾传感器
 * @param params
 */
export const getMainTrafficYw = () => defHttp.get({ url: Api.getMainTrafficYw, });

/**
 * 机电硐室传感器
 * @param params
 */
export const getDsWd = () => defHttp.get({ url: Api.getDsWd, });

/**
 * 菜单树接口
 * @param params
 */
export const getFireAreaInfo = (params) => defHttp.get({ url: Api.getFireAreaInfo, params });

