// 系统来源字典
export const SystemSourceDict = {
  FireSgjc: '束管',
  FireGxcw: '光纤测温',
  FireMb: '密闭监测',
  FirePq: '喷气',
  FireYw: '烟雾',
  FireHy: '火焰',
  FireZhuD: '注氮',
  FireZhuJ: '注浆',
  DustFc: '粉尘',
  DustPw: '无线喷雾',
  FirePL: '喷淋',
  AQJK: '安全监控',
};

// 灾害类型字典
export const DisaterTypeDict = {
  4: '防火',
  5: '防尘',
};

// 传感器字典
export const SensorDict = {
  M0101: '甲烷',
  M0102: '氧气',
  M0103: '二氧化碳',
  M0104: '一氧化碳',
  M0105: '氧化氮（换算成二氧化氮）',
  M0106: '二氧化硫',
  M0107: '硫化氢',
  M0108: '氨',
  M0109: '氢气',
  M0110: '氮气',
  M0111: '负压',
  M0201: '温度',
  M0202: '相对湿度',
  M0301: '风压',
  M0302: '风速',
  M0303: '风量',
  M0701: '粉尘浓度',
  K0001: '电源状态',
  K0002: '局部通风机状态',
  K0003: '主通风机状态',
  K0004: '馈电传感器',
  K0005: '风门开关传感器',
  K0006: '风筒开关传感器',
  K0007: '烟雾传感器',
  K0008: '断电控制器',
  K0009: '声光报警器',
  K0010: '风电闭锁',
};
